## backbone 1.0.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Weighted Graphs
Version: 1.0.0
Authors@R: c(
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut")) 
Description: Provides methods for extracting from a weighted graph 
    a binary or signed backbone that retains only the significant edges. 
    The user may input a weighted graph, or a bipartite graph 
    from which a weighted graph is first constructed via projection.
    Backbone extraction methods include the stochastic degree sequence model (Neal, Z. P. (2014). <doi:10.1016/j.socnet.2014.06.001>),
    hypergeometric model (Neal, Z. (2013). <doi:10.1007/s13278-013-0107-y>), 
    the fixed degree sequence model (Zweig, K. A., and Kaufmann, M. (2011). <doi:10.1007/s13278-011-0021-0>),
    as well as a universal threshold method. 
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
Imports: Matrix, utils, stats
Suggests: knitr, rmarkdown, testthat, igraph
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-09-11 21:23:28 UTC; Rachel
Author: Rachel Domagalski [aut, cre],
  Zachary Neal [aut],
  Bruce Sagan [aut]
Maintainer: Rachel Domagalski <domagal9@msu.edu>
Repository: CRAN
Date/Publication: 2019-09-19 10:30:02 UTC
