## backbone 0.3.3

=== debian/changelog ===
backbone (0.3.3-4) unstable; urgency=low

  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Feb 2011 02:59:14 +0100

backbone (0.3.3-3) unstable; urgency=low

  * Fix install compressed lib dot-delimited (not dash-delimited).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 00:00:25 +0100

backbone (0.3.3-2) unstable; urgency=low

  * Bump copyright format to Subversion candidate draft 162 of DEP5.
  * Add copyright and licensing for test/vendor/zepto.js.
  * Install uncompressed library (not symlink to compressed one).
  * Tighten dependencies:
    + Depend on libjs-underscore.
    + Recommend libjs-json.
    + Recommend (not yet packaged) libjs-zepto, as fallback for
      libjs-jquery.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 21:14:08 +0100

backbone (0.3.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#608424.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Dec 2010 22:31:24 +0100
