=== debian/control ===
Source: backbone
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 yui-compressor
Standards-Version: 3.9.1
Homepage: http://documentcloud.github.com/backbone/
Vcs-Git: git://git.debian.org/git/collab-maint/backbone
Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git

Package: libjs-backbone
Architecture: all
Depends: ${misc:Depends},
 libjs-underscore
Recommends: javascript-common,
 libjs-jquery | libjs-zepto,
 libjs-json
Description: some Backbone for JS Apps with Models, Views, Collections, and Events
 Backbone supplies structure to JavaScript-heavy applications by
 providing models key-value binding and custom events, collections with
 a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing application over a
 RESTful JSON interface.
