## backbone 0.5.3

=== debian/changelog ===
backbone (0.5.3-2+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Push libnode-uglify as a fallback-build-dependency instead of
    yui-compressor, since libnode-uglify is not in Wheezy.
    Closes: #684828

 -- David Prévot <taffit@debian.org>  Sun, 26 Aug 2012 16:47:33 -0400

backbone (0.5.3-2) unstable; urgency=low

  * Fix provide libnode-backbone (not node-backbone).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 20:27:54 +0200

backbone (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Update copyright file:
    + Fix use initial wildcard Files section (not list wildcard
      copyright/licensing in header section).
    + Bump file format to draft 174 of DEP-5.
    + Extend coverage years.
    + Adjust some file paths.
  * Suppress more kinds of images from copyright check.
  * Use uglifyjs as compressor (keeping yui-compressor as fallback to
    ease backporting).
  * Install usable with Node (not only in browsers). Provide
    node-backbone.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 19:19:19 +0200
