=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.72~),
  debhelper (>= 6),
  dh-buildinfo,
- yui-compressor
-Standards-Version: 3.9.1
+ yui-compressor | libnode-uglify
+Standards-Version: 3.9.2
 Homepage: http://documentcloud.github.com/backbone/
 Vcs-Git: git://git.debian.org/git/collab-maint/backbone
 Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git
@@ -19,6 +19,7 @@
 Recommends: javascript-common,
  libjs-jquery | libjs-zepto,
  libjs-json
+Provides: libnode-backbone
 Description: some Backbone for JS Apps with Models, Views, Collections, and Events
  Backbone supplies structure to JavaScript-heavy applications by
  providing models key-value binding and custom events, collections with
