=== debian/rules ===
--- 
+++ 
@@ -27,17 +27,25 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/backbone/
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 026024ee0dac688b2c571e94f1d9a5dd
+DEB_UPSTREAM_TARBALL_MD5 = 819395a6bca7ab67e5d61e2eb0252e5c
 
 # Silence images in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.png|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_INSTALL_DOCS_libjs-backbone += index.html
 DEB_INSTALL_EXAMPLES_libjs-backbone += examples/*
 
-CDBS_BUILD_DEPENDS += , yui-compressor
+# Ease backporting (libnode-uglify is tough to backport)
+# TODO: drop fallback-dependency after Squeeze
+CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
+js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
-build/libjs-backbone::
-	yui-compressor backbone.js -o debian/backbone.min.js
+js-pkgname = libjs-backbone
+js-stems = backbone
+js-min = $(js-stems:%=debian/%.min.js)
+
+build/$(js-pkgname):: $(js-min)
+$(js-min): debian/%.min.js: $(js-basedir)%.js
+	$(js-compressor) -o $@ $<
 clean::
 	rm -f debian/*.js
