## backbone 0.9.0

=== debian/changelog ===
backbone (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Update long description, to sync with upstream.
  * Recommend (as fallback) libjs-ender, now supported upstream.
  * Tighten dependency on {libjs,node}-underscore.
  * Update Homepage URL.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Update copyright file:
    + Extend copyright years.
    + Add a Files section (new authors, Expat licensed).
    + Drop duplicate comments.
    + Shorten GPL comment.
    + Quote license strings in comments.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Jan 2012 22:21:39 +0100

backbone (0.5.3-3) unstable; urgency=low

  * Bump debhelper compatilibity level to 7.
  * Fix install code for web browsers and symlink for Node (not
    opposite: not always supported by web servers).
  * Enable regression tests.
    Build-depend on coffescript.
  * Improve short description.
  * Provide package node-backbone (not just as virtual package by
    libjs-backbone), to ease installing without Node.
  * Extend copyright for Debian packaging.
  * Relax to build-depend unversioned on debhelper and cdbs: needed
    versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 01:47:07 +0700
