=== debian/control ===
Source: backbone
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 coffeescript,
 libnode-uglify | yui-compressor
Standards-Version: 3.9.2
Homepage: http://backbonejs.org/
Vcs-Git: git://git.debian.org/git/collab-maint/backbone
Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git

Package: libjs-backbone
Architecture: all
Depends: ${misc:Depends},
 libjs-underscore (>= 1.3.1~)
Recommends: javascript-common,
 libjs-jquery | libjs-zepto | libjs-ender,
 libjs-json
Description: some Backbone for JavaScript applications - browser library
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains backbone usable directly in web browsers.

Package: node-backbone
Architecture: all
Depends: ${misc:Depends},
 nodejs,
 libjs-backbone,
 node-underscore (>= 1.3.1~)
Recommends: libjs-jquery | libjs-zepto | libjs-ender,
 libjs-json
Description: some Backbone for JavaScript applications - Node module
 Node is an event-based server-side JavaScript engine.
 .
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains node-uuid usable with Node.
