=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Backbone
 #
 # This program is free software; you can redistribute it and/or modify
@@ -20,32 +20,63 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+libname = backbone
+js-pkgname = libjs-$(libname)
+js-stems = $(libname)
+node-pkgname = node-$(libname)
+
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/backbone/
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 819395a6bca7ab67e5d61e2eb0252e5c
+DEB_UPSTREAM_TARBALL_MD5 = f6dd75afd451968ce628c4ab4a703a42
 
 # Silence images in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$
 
-DEB_INSTALL_DOCS_libjs-backbone += index.html
-DEB_INSTALL_EXAMPLES_libjs-backbone += examples/*
+DEB_INSTALL_DOCS_ALL += README.md
+
+CDBS_BUILD_DEPENDS += , coffeescript
+build/coffeescript:: debian/stamp-build
+debian/stamp-build:
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
+	touch $@
+clean::
+	rm -f debian/stamp-build
+
+DEB_INSTALL_DOCS_ALL += index.html
+DEB_INSTALL_EXAMPLES_$(js-pkgname) += examples/*
 
 # Ease backporting (libnode-uglify is tough to backport)
 # TODO: drop fallback-dependency after Squeeze
 CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
 js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
-js-pkgname = libjs-backbone
-js-stems = backbone
-js-min = $(js-stems:%=debian/%.min.js)
+# TODO: generalize parts below as a CDBS javascript snippet
+
+#js-basedir =
+js-dirname ?= $(libname)
+js-stems ?= $(basename $(wildcard $(js-basedir)*.js))
+js-min ?= $(js-stems:$(js-basedir)%=debian/%.min.js)
+js-destdir ?= /usr/share/javascript/$(js-dirname)
+js-compressor ?= uglifyjs
+js-compressor-opts ?= -o $@ $<
+
+DEB_DH_INSTALL_ARGS_$(js-pkgname) = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)
 
 build/$(js-pkgname):: $(js-min)
 $(js-min): debian/%.min.js: $(js-basedir)%.js
-	$(js-compressor) -o $@ $<
+	$(js-compressor) $(js-compressor-opts)
 clean::
 	rm -f debian/*.js
+
+# TODO: maybe generalize parts below as a CDBS node snippet
+
+node-dirname ?= $(libname)
+js-nodestem ?= $(libname)
+node-destdir ?= /usr/lib/nodejs/
+
+DEB_DH_LINK_$(node-pkgname) = $(js-destdir)/$(js-nodestem).js $(node-destdir)$(node-dirname).js
