=== debian/watch ===
version=3
http://githubredir.debian.net/github/documentcloud/backbone .*?(\d[^/]*).tar.gz
