## backbone 0.9.1

=== debian/changelog ===
backbone (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 11:55:24 +0100
