=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/documentcloud/$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = f6dd75afd451968ce628c4ab4a703a42
+DEB_UPSTREAM_TARBALL_MD5 = adad938b293d186b9a91db505ee3cb02
 
 # Silence images in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^docs/images/.*\.(jpg|png)|debian/(changelog|copyright(|_hints|_newhints))$
