## backbone 0.9.2

=== debian/changelog ===
backbone (0.9.2-4) unstable; urgency=low

  * Fix build-depend on node-uglify (not libnode-uglify).
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
    + Rename a license shortname to more sensible Expat~0-clause.
    + Fix add (virtually empty, but mandated by format) GPL-2 License
      paragraph.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Dec 2012 21:51:38 +0100

backbone (0.9.2-3) unstable; urgency=low

  * Fix break and replace older libjs* package shipping also node* file.
    Closes: bug#694469. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Nov 2012 19:09:26 +0100

backbone (0.9.2-2) unstable; urgency=low

  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Bump dephelper compatibility level to 8.
  * Build-depend on devscripts, to always check copyright during build.
  * Fix enable testsuite.
  * Build-depend on node-underscore: Needed for testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Nov 2012 14:27:03 +0100

backbone (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump copyright file format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Mar 2012 12:27:23 +0200
