=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  coffeescript,
- libnode-uglify | yui-compressor
-Standards-Version: 3.9.2
+ node-underscore,
+ node-uglify | yui-compressor
+Standards-Version: 3.9.3
 Homepage: http://backbonejs.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/backbone
-Vcs-Browser: http://git.debian.org/?p=collab-maint/backbone.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backbone.git
 
 Package: libjs-backbone
 Architecture: all
@@ -37,6 +39,8 @@
  node-underscore (>= 1.3.1~)
 Recommends: libjs-jquery | libjs-zepto | libjs-ender,
  libjs-json
+Breaks: ${cdbs:Breaks}
+Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module
  Node is an event-based server-side JavaScript engine.
  .
