=== debian/watch ===
version=3
https://github.com/documentcloud/backbone/tags .*/archive/v?(\d[\d\.]+).tar.gz
