## backbone 0.9.10

=== debian/changelog ===
backbone (0.9.10-3) unstable; urgency=medium

  * Stop build-depend on phantomjs and avoid using it for testsuite.
    Closes: bug#768754. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Nov 2014 02:26:40 +0100

backbone (0.9.10-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix testsuite to pass with
    Underscore 1.5.0 and newer.
    Closes: bug#770060. Thanks to Daniel Schepler and Matt Kraai.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Nov 2014 17:14:00 +0100

backbone (0.9.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.5.
  * Improve testsuite handling:
    + Add patch 2001 to use separately packaged Javascript libraries.
    + Enable more tests.
  * Update package relations:
    + Declare binary relations in rules file.
    + Build-depend on phantomjs, libjs-json, libjs-jquery and
      libjs-underscore: Needed for testsuite.
  * Update copyright file:
    + Update coverage of convenience code copies.
    + Extend coverage for packaging
    + bump licensing for packaging to GPL-3+.
    + Fix cover example code.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update Vcs-* fields: Packaging git moved to pkg-javascript area of
    Alioth.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 May 2014 18:33:42 +0200
