=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ node-uglify | yui-compressor,
  coffeescript,
- node-underscore,
- node-uglify | yui-compressor
-Standards-Version: 3.9.3
+ libjs-json,
+ libjs-jquery,
+ libjs-underscore,
+ node-underscore
+Standards-Version: 3.9.5
 Homepage: http://backbonejs.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/backbone
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backbone.git
+Vcs-Git: git://git.debian.org/git/pkg-javascript/backbone
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/backbone.git
 
 Package: libjs-backbone
 Architecture: all
-Depends: ${misc:Depends},
- libjs-underscore (>= 1.3.1~)
-Recommends: javascript-common,
- libjs-jquery | libjs-zepto | libjs-ender,
- libjs-json
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Description: some Backbone for JavaScript applications - browser library
  Backbone gives structure to your serious JavaScript web applications by
  supplying models with key-value binding and custom events, collections
@@ -33,12 +34,9 @@
 
 Package: node-backbone
 Architecture: all
-Depends: ${misc:Depends},
- nodejs,
- libjs-backbone,
- node-underscore (>= 1.3.1~)
-Recommends: libjs-jquery | libjs-zepto | libjs-ender,
- libjs-json
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Breaks: ${cdbs:Breaks}
 Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module
