=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010, 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2014 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Backbone
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -27,7 +27,22 @@
 
 DEB_UPSTREAM_URL = https://github.com/documentcloud/$(pkg)/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = b6fe3d4de9dcd489a11ce7a3c7aac2c6
+DEB_UPSTREAM_TARBALL_MD5 = d24ee0a1d401705c8bb098b5ebf01725
+
+# Ease backporting (node-uglify is tough to backport)
+# TODO: drop fallback-dependency when uglifyjs is in Debian stable
+CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
+js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
+
+CDBS_BUILD_DEPENDS +=, coffeescript, phantomjs, libjs-json, libjs-jquery
+CDBS_BUILD_DEPENDS +=, libjs-underscore
+CDBS_BUILD_DEPENDS +=, node-underscore
+CDBS_DEPENDS_$(jspkg) = libjs-underscore
+CDBS_DEPENDS_$(nodepkg) = nodejs, libjs-backbone
+CDBS_DEPENDS_$(nodepkg) +=, node-underscore
+CDBS_RECOMMENDS_ALL = libjs-json
+CDBS_RECOMMENDS_ALL +=, libjs-jquery | libjs-zepto | libjs-ender
+CDBS_RECOMMENDS_$(jspkg) = javascript-common
 
 # Handle package split
 CDBS_BREAKS_$(nodepkg) = libjs-backbone (<< 0.5.3-3)
@@ -38,21 +53,16 @@
 
 DEB_INSTALL_DOCS_ALL += README.md
 
-CDBS_BUILD_DEPENDS += , coffeescript, node-underscore
 build/$(jspkg):: debian/stamp-build
 debian/stamp-build:
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
+#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,phantomjs test/vendor/runner.js test/index.html?noglobals=true)
 	touch $@
 clean::
 	rm -f debian/stamp-build
 
 DEB_INSTALL_DOCS_ALL += index.html
 DEB_INSTALL_EXAMPLES_$(jspkg) += examples/*
-
-# Ease backporting (node-uglify is tough to backport)
-# TODO: drop fallback-dependency after Squeeze
-CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
-js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
 # TODO: generalize parts below as a CDBS javascript snippet
