## backbone 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -17,19 +17,19 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Depends: R (>= 2.10)
-Imports: Matrix, methods, poibin, stats, utils
-Suggests: igraph, knitr, rmarkdown, speedglm, testthat
+Imports: Matrix, methods, stats, utils, CVXR, igraph, network
+Suggests: knitr, rmarkdown, speedglm, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2019-12-02 15:04:36 UTC; rache
+Packaged: 2020-05-15 01:39:40 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2019-12-02 19:30:09 UTC
+Date/Publication: 2020-05-15 19:30:02 UTC
