## backbone 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -19,17 +19,18 @@
 LazyData: true
 RoxygenNote: 7.1.0
 Depends: R (>= 2.10)
-Imports: Matrix, methods, stats, utils, CVXR, igraph, network
+Imports: Matrix, methods, stats, utils, CVXR, igraph, network, Rcpp
 Suggests: knitr, rmarkdown, speedglm, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
-NeedsCompilation: no
-Packaged: 2020-05-15 01:39:40 UTC; Rachel
+LinkingTo: Rcpp
+NeedsCompilation: yes
+Packaged: 2020-07-02 17:24:04 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-05-15 19:30:02 UTC
+Date/Publication: 2020-07-03 04:40:02 UTC
