## backbone 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -27,10 +27,10 @@
 BugReports: https://github.com/domagal9/backbone/issues
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2020-07-02 17:24:04 UTC; Rachel
+Packaged: 2020-08-26 15:41:08 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-07-03 04:40:02 UTC
+Date/Publication: 2020-08-26 22:50:16 UTC
