## backbone 1.2.3~dfsg

=== debian/changelog ===
backbone (1.2.3~dfsg-3) unstable; urgency=medium

  * Update package relations:
    + Stop recommend non-existing libjs-zepto or libjs-ender.
    + Relax to suggest (not recommend) libjs-jquery/libjs-lodash and
      libjs-json, and only for libjs-backbone (not node-backbone).
      Document new suggestions in long description.
    + Stop build-depend on libjs-json libjs-jquery libjs-qunit
      (seemingly needed only for currently disabled PhantomJS tests).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 23:38:23 +0200

backbone (1.2.3~dfsg-2) unstable; urgency=medium

  * Fix really tighten to (build-)depend versioned on libjs-underscore
    and node-underscore (as intended in 1.2.3~dfsg-1).
  * Fix install into subdir of node library dir. See bug#772836.
  * Fix really install package.json into node package (as intended in
    1.2.3~dfsg-1).
  * Stop fallback-build-depend on yui-compressor.
  * Extract copyright info from most binary files (skip only eot fonts).
    Tighten build-dependency on cdbs.
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.
  * Generate and include source map. Build-depend on node-source-map.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 22:53:10 +0200

backbone (1.2.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#746787, #797698.

  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use cgit.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update watch file:
    + Bump to version 4.
    + Use Github pattern.
    + Mention gpb --uscan in usage comment.
    + Temporarily limit upstream version (1.3.x requires too new
      Underscore).
  * Build-depend on licensecheck (not devscripts).
  * Repackage upstream tarball:
    + Avoid non-free font.
    + Avoid potentially source-less auto-generated (minified) files.
    + Avoid convenience code copies.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for main author to include recent years.
    + Extend coverage of packaging to include current year.
    + Cover Normalize file (Expat licensed).
    + Cover docco.css (BSD-3-Clause licensed).
    + Cover Roboto fonts (Apache-2.0 licensed).
    + Update Backbone.localStorage paths.
    + Stop cover convenience code copies.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Git-ignore quilt .pc dir.
  * Modernize git-buildpackage config: Filter any .gitignore file.
  * Recommend libjs-lodash as yet another alternative to libjs-jquery.
  * Fix install package.json into node package.
  * Drop patch cherry-picked upstream.
  * Extend patch 2001 (use system-shared code) to cover tests and
    upstream index.html.
    Build-depend on libjs-qunit.
    Suggest libjs-jquery-lazyload, and mention why in long descriptions.
  * Tighten to (build-)depend versioned on libjs-underscore and
    node-underscore.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Aug 2016 17:09:37 +0200
