=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
  debhelper,
  dh-buildinfo,
- node-uglify | yui-compressor,
+ node-uglify,
+ node-source-map,
  coffeescript,
- libjs-json,
- libjs-jquery,
- libjs-underscore,
- node-underscore
-Standards-Version: 3.9.5
+ libjs-underscore (>= 1.7.0~dfsg),
+ node-underscore (>= 1.7.0~dfsg)
+Standards-Version: 3.9.8
 Homepage: http://backbonejs.org/
-Vcs-Git: git://git.debian.org/git/pkg-javascript/backbone
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/backbone.git
+Vcs-Git: https://git.debian.org/git/pkg-javascript/backbone
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/backbone.git
 
 Package: libjs-backbone
 Architecture: all
 Depends: ${cdbs:Depends},
  ${misc:Depends}
 Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Description: some Backbone for JavaScript applications - browser library
  Backbone gives structure to your serious JavaScript web applications by
  supplying models with key-value binding and custom events, collections
@@ -31,12 +34,20 @@
  interface.
  .
  This package contains backbone usable directly in web browsers.
+ .
+ RESTful persistence and DOM manipulation with Backbone.View requires
+ either of the packages libjs-jquery libjs-lodash, and libjs-json for
+ older Internet Explorer support.
+ .
+ Optimal rendering of upstream index.html requires the package
+ libjs-jquery-lazyload.
 
 Package: node-backbone
 Architecture: all
 Depends: ${cdbs:Depends},
  ${misc:Depends}
 Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
 Breaks: ${cdbs:Breaks}
 Replaces: ${cdbs:Replaces}
 Description: some Backbone for JavaScript applications - Node module
@@ -49,3 +60,6 @@
  interface.
  .
  This package contains node-uuid usable with Node.
+ .
+ Optimal rendering of upstream index.html requires the package
+ libjs-jquery-lazyload.
