=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2014, 2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Backbone
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

lib = $(DEB_SOURCE_PACKAGE)
pkg-js = libjs-$(lib)
pkg-node = node-$(lib)
js-reg = $(lib).js
js-min = $(lib).min.js
js-nodestem = $(lib)
js-destdir = /usr/share/javascript/$(lib)
node-destdir = /usr/lib/nodejs/$(lib)

# Minimal requirement according to upstream index.html
underscore_minver = 1.7.0~dfsg

CDBS_BUILD_DEPENDS +=, node-uglify, node-source-map
CDBS_BUILD_DEPENDS +=, coffeescript
CDBS_BUILD_DEPENDS +=, libjs-underscore (>= $(underscore_minver))
CDBS_BUILD_DEPENDS +=, node-underscore (>= $(underscore_minver))
#CDBS_BUILD_DEPENDS +=, phantomjs, libjs-json, libjs-jquery, libjs-qunit
CDBS_DEPENDS_$(pkg-js) = libjs-underscore (>= $(underscore_minver))
CDBS_DEPENDS_$(pkg-node) = nodejs, libjs-backbone
CDBS_DEPENDS_$(pkg-node) +=, node-underscore (>= $(underscore_minver))
CDBS_RECOMMENDS_$(pkg-js) = javascript-common
CDBS_SUGGESTS_$(pkg-js) +=, libjs-jquery | libjs-lodash, libjs-json
CDBS_SUGGESTS_ALL = libjs-jquery-lazyload

# Handle package split
CDBS_BREAKS_$(pkg-node) = libjs-backbone (<< 0.5.3-3)
CDBS_REPLACES_$(pkg-node) = libjs-backbone (<< 0.5.3-3)

DEB_COPYRIGHT_EXTRACT_EXTS = jpg png ttf woff
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = eot

build/$(pkg-js):: $(js-min)
$(js-min): %.min.js: %.js
	uglifyjs --source-map $*.min.map -o $@ $<
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,coffee test/*.coffee)
#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,phantomjs test/vendor/runner.js test/index.html?noglobals=true)
clean::
	rm -f $(js-min) $(js-min:js=map)

DEB_INSTALL_DOCS_ALL += README.md index.html
DEB_INSTALL_EXAMPLES_$(pkg-js) += examples/*

DEB_DH_INSTALL_ARGS_$(pkg-js) = $(js-reg) $(js-min) $(js-min:js=map) $(js-destdir)
DEB_DH_INSTALL_ARGS_$(pkg-node) = package.json $(node-destdir)
DEB_DH_LINK_$(pkg-node) = $(js-destdir)/$(js-nodestem).js $(node-destdir)/index.js
