=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%backbone-$1.tar.gz%,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/documentcloud/backbone/tags \
 (?:.*?/)?v?(1\.2\.[\d.]*)\.tar\.gz debian
