## backbone 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.2.2
+Version: 1.3.0
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -17,20 +17,19 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Depends: R (>= 2.10)
-Imports: Matrix, methods, stats, utils, CVXR, igraph, network, Rcpp
-Suggests: knitr, rmarkdown, speedglm, testthat
+Imports: Matrix, methods, stats, utils, igraph, network
+Suggests: knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 URL: https://github.com/domagal9/backbone,
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
-LinkingTo: Rcpp
-NeedsCompilation: yes
-Packaged: 2020-08-26 15:41:08 UTC; Rachel
+NeedsCompilation: no
+Packaged: 2021-02-02 17:11:13 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2020-08-26 22:50:16 UTC
+Date/Publication: 2021-02-02 17:40:02 UTC
