## backbone 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: c(
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
@@ -26,10 +26,10 @@
         https://www.zacharyneal.com/backbone
 BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2021-02-02 17:11:13 UTC; Rachel
+Packaged: 2021-02-16 16:19:15 UTC; Rachel
 Author: Rachel Domagalski [aut, cre],
   Zachary Neal [aut],
   Bruce Sagan [aut]
 Maintainer: Rachel Domagalski <domagal9@msu.edu>
 Repository: CRAN
-Date/Publication: 2021-02-02 17:40:02 UTC
+Date/Publication: 2021-02-16 17:30:10 UTC
